import { requireBotChannelPermissions } from "../permissions.js";
export default function editWebhook(bot) {
    const editWebhookOld = bot.helpers.editWebhook;
    bot.helpers.editWebhook = async function (webhookId, options, fromChannelId) {
        if (options.channelId)
            requireBotChannelPermissions(bot, options.channelId, ["MANAGE_WEBHOOKS", "VIEW_CHANNEL"]);
        if (fromChannelId)
            requireBotChannelPermissions(bot, fromChannelId, ["MANAGE_WEBHOOKS", "VIEW_CHANNEL"]);
        if (options.name) {
            if (
            // Specific usernames that discord does not allow
            options.name === "clyde" ||
                !bot.utils.validateLength(options.name, { min: 2, max: 32 })) {
                throw new Error("The webhook name can not be clyde and it must be between 2 and 32 characters long.");
            }
        }
        return await editWebhookOld(webhookId, options);
    };
}
