import type { Bot } from "../../../bot.js";
import { StageInstance } from "../../../transformers/stageInstance.js";
import { DiscordStageInstance } from "../../../types/discord.js";
import { AtLeastOne } from "../../../types/shared.js";
/**
 * Edits a stage instance.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the stage channel the stage instance is associated with.
 * @returns An instance of the updated {@link StageInstance}.
 *
 * @remarks
 * Requires the user to be a moderator of the stage channel.
 *
 * Fires a _Stage Instance Update_ event.
 *
 * @see {@link https://discord.com/developers/docs/resources/stage-instance#modify-stage-instance}
 */
export declare function editStageInstance(bot: Bot, channelId: bigint, data: AtLeastOne<Pick<DiscordStageInstance, "topic">>): Promise<StageInstance>;
