import type { Bot } from "../../bot.js";
import { Collection } from "../../util/collection.js";
export declare type DiscoveryCategory = {
    id: bigint;
    name: DiscoveryName;
    isPrimary: boolean;
};
export declare type DiscoveryName = {
    default: string;
    localizations?: Record<string, string>;
};
/**
 * Gets the list of available discovery categories.
 *
 * @param bot - The bot instance to use to make the request.
 *
 * @privateRemarks
 * This endpoint is not formally documented.
 */
export declare function getDiscoveryCategories(bot: Bot): Promise<Collection<bigint, DiscoveryCategory>>;
