import type { Bot } from "../../bot.js";
/**
 * Deletes a webhook.
 *
 * @param bot - The bot instance to use to make the request.
 * @param webhookId - The ID of the webhook to delete.
 *
 * @remarks
 * Requires the `MANAGE_WEBHOOKS` permission.
 *
 * Fires a _Webhooks Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/webhook#delete-webhook}
 */
export declare function deleteWebhook(bot: Bot, webhookId: bigint, reason?: string): Promise<void>;
